Index: orxonox/trunk/src/util/animation/animation.cc
===================================================================
--- orxonox/trunk/src/util/animation/animation.cc	(revision 4834)
+++ orxonox/trunk/src/util/animation/animation.cc	(revision 4836)
@@ -21,5 +21,5 @@
 
 /**
-   \brief creates a new Animation
+ *  creates a new Animation
 
    This also adds the Animation automatically to the AnimationPlayer's list
@@ -44,5 +44,5 @@
 
 /**
-   \brief destructs the Animation
+ *  destructs the Animation
 
    this also takes the animation out of the AnimationPlayer's list (if it is there)
@@ -54,5 +54,5 @@
 
 /**
-   \brief tells the AnimationPlayer, that we do not wish to  handle this animation
+ *  tells the AnimationPlayer, that we do not wish to  handle this animation
    automatically.
 
@@ -66,6 +66,6 @@
 
 /**
-   \brief Sets the infinitymode
-   \param postInfinity How the Animation should advance after the last Keyframe
+ *  Sets the infinitymode
+ * @param postInfinity How the Animation should advance after the last Keyframe
 */
 void Animation::setInfinity(ANIM_INFINITY postInfinity)
@@ -75,5 +75,5 @@
 
 /**
-   \brief handles the Animation if it gets out of boundraries eg. if animation is finished.
+ *  handles the Animation if it gets out of boundraries eg. if animation is finished.
 */
 void Animation::handleInfinity()
@@ -99,5 +99,5 @@
 
 /**
-   \brief plays the animation back from the current Time forward
+ *  plays the animation back from the current Time forward
 */
 void Animation::play()
@@ -108,6 +108,6 @@
 
 /**
-   \brief plays the Next n keyframes
-   \param n the Count of keyFrames to play.
+ *  plays the Next n keyframes
+ * @param n the Count of keyFrames to play.
 */
 void Animation::playNextKeyframes(int n)
@@ -118,5 +118,5 @@
 
 /**
-   \brief Stops the animation. eg. pause(); rewind();
+ *  Stops the animation. eg. pause(); rewind();
 */
 void Animation::stop()
@@ -130,5 +130,5 @@
 
 /**
-   \brief Pauses the animation. Stays at the current Time
+ *  Pauses the animation. Stays at the current Time
 */
 void Animation::pause()
@@ -138,5 +138,5 @@
 
 /**
-   \brief replays the animation, eg. rewind();play();
+ *  replays the animation, eg. rewind();play();
 */
 void Animation::replay()
Index: orxonox/trunk/src/util/animation/animation.h
===================================================================
--- orxonox/trunk/src/util/animation/animation.h	(revision 4834)
+++ orxonox/trunk/src/util/animation/animation.h	(revision 4836)
@@ -16,5 +16,5 @@
 //! An enumerator of Functions to describe the flow of the Animation
 /**
-   \todo check with Patrick it of
+   @todo check with Patrick it of
 
    description in speed to the next keyframe:
@@ -88,11 +88,11 @@
   virtual void rewind() = 0;
 
-  /** \brief A virtual function that ticks the animation \param dt the time passed */
+  /** \brief A virtual function that ticks the animation @param dt the time passed */
   virtual void tick(float dt) = 0;
 
-  /** \returns the BaseObject, this animation operates on */
+  /** @returns the BaseObject, this animation operates on */
   BaseObject* getBaseObject() const { return this->baseObject; };
 
-  /** \returns if the Animation should be deleted */
+  /** @returns if the Animation should be deleted */
   inline bool ifDelete() { return bDelete; };
 
@@ -124,5 +124,5 @@
  public:
   inline aTest() { last = 0.0;}
-  /** \brief a little debug information to show the results of this class \param f new value */
+  /** \brief a little debug information to show the results of this class @param f new value */
   inline void littleDebug(float f) {  diff = f - last; printf("f=%f, diff=%f\n", f,diff); last = f;}
  private:
Index: orxonox/trunk/src/util/animation/animation3d.cc
===================================================================
--- orxonox/trunk/src/util/animation/animation3d.cc	(revision 4834)
+++ orxonox/trunk/src/util/animation/animation3d.cc	(revision 4836)
@@ -28,5 +28,5 @@
 
 /**
-   \brief standard constructor
+ *  standard constructor
 */
 Animation3D::Animation3D(PNode* object)
@@ -50,5 +50,5 @@
 
 /**
-   \brief standard deconstructor
+ *  standard deconstructor
 
    deletes all the Keyframes
@@ -69,5 +69,5 @@
 
 /**
-   \brief rewinds the Animation to the beginning (first KeyFrame and time == 0)
+ *  rewinds the Animation to the beginning (first KeyFrame and time == 0)
 */
 void Animation3D::rewind()
@@ -81,10 +81,10 @@
 
 /**
-   \brief Appends a new Keyframe
-   \param position The position of the new Keyframe
-   \param direction The direction of the new Keyframe.
-   \param duration The duration from the new KeyFrame to the next one
-   \param animFuncMov The function to animate position between this keyFrame and the next one
-   \param animFuncRot The function to animate rotation between this keyFrame and the next one
+ *  Appends a new Keyframe
+ * @param position The position of the new Keyframe
+ * @param direction The direction of the new Keyframe.
+ * @param duration The duration from the new KeyFrame to the next one
+ * @param animFuncMov The function to animate position between this keyFrame and the next one
+ * @param animFuncRot The function to animate rotation between this keyFrame and the next one
 */
 void Animation3D::addKeyFrame(Vector position, Quaternion direction, float duration,
@@ -130,6 +130,6 @@
 
 /**
-   \brief ticks the Animation
-   \param dt how much time to tick
+ *  ticks the Animation
+ * @param dt how much time to tick
 */
 void Animation3D::tick(float dt)
@@ -167,6 +167,6 @@
 
 /**
-   \brief Sets The kind of movment Animation between this keyframe and the next one
-   \param animFuncMov: The Type of Animation to set
+ *  Sets The kind of movment Animation between this keyframe and the next one
+ * @param animFuncMov: The Type of Animation to set
 */
 void Animation3D::setAnimFuncMov(ANIM_FUNCTION animFuncMov)
@@ -216,6 +216,6 @@
 
 /**
-   \brief stays at the value of the currentKeyFrame
-   \param timePassed The time passed since this Keyframe began
+ *  stays at the value of the currentKeyFrame
+ * @param timePassed The time passed since this Keyframe began
 */
 void Animation3D::mConstant(float timePassed) const
@@ -232,8 +232,8 @@
 
 /**
-   \brief linear interpolation between this keyframe and the next one
-   \param timePassed The time passed since this Keyframe began
-
-   \todo implement also do this for direction
+ *  linear interpolation between this keyframe and the next one
+ * @param timePassed The time passed since this Keyframe began
+
+   @todo implement also do this for direction
 */
 void Animation3D::mLinear(float timePassed) const
@@ -245,8 +245,8 @@
 
 /**
-   \brief a Sinusodial Interpolation between this keyframe and the next one
-   \param timePassed The time passed since this Keyframe began
-
-   \todo implement
+ *  a Sinusodial Interpolation between this keyframe and the next one
+ * @param timePassed The time passed since this Keyframe began
+
+   @todo implement
 */
 void Animation3D::mSine(float timePassed) const
@@ -264,8 +264,8 @@
 
 /**
-   \brief a cosine interpolation between this keyframe and the next one
-   \param timePassed The time passed since this Keyframe began
-
-   \todo implement
+ *  a cosine interpolation between this keyframe and the next one
+ * @param timePassed The time passed since this Keyframe began
+
+   @todo implement
 */
 void Animation3D::mCosine(float timePassed) const
@@ -287,6 +287,6 @@
 
 /**
-   \brief an exponential interpolation between this keyframe and the next one
-   \param timePassed The time passed since this Keyframe began
+ *  an exponential interpolation between this keyframe and the next one
+ * @param timePassed The time passed since this Keyframe began
 */
 void Animation3D::mExp(float timePassed) const
@@ -297,6 +297,6 @@
 
 /**
-   \brief a negative exponential interpolation between this keyframe and the next one
-   \param timePassed The time passed since this Keyframe began
+ *  a negative exponential interpolation between this keyframe and the next one
+ * @param timePassed The time passed since this Keyframe began
 */
 void Animation3D::mNegExp(float timePassed) const
@@ -316,8 +316,8 @@
 
 /**
-   \brief a quadratic interpolation between this keyframe and the next one
-   \param timePassed The time passed since this Keyframe began
-
-   \todo implement
+ *  a quadratic interpolation between this keyframe and the next one
+ * @param timePassed The time passed since this Keyframe began
+
+   @todo implement
 */
 void Animation3D::mQuadratic(float timePassed) const
@@ -328,6 +328,6 @@
 
 /**
-   \brief some random animation (fluctuating)
-   \param timePassed The time passed since this Keyframe began
+ *  some random animation (fluctuating)
+ * @param timePassed The time passed since this Keyframe began
 */
 void Animation3D::mRandom(float timePassed) const
@@ -346,6 +346,6 @@
 
 /**
-   \brief Sets The kind of rotation Animation between this keyframe and the next one
-   \param animFuncRot: The Type of Animation to set
+ *  Sets The kind of rotation Animation between this keyframe and the next one
+ * @param animFuncRot: The Type of Animation to set
 */
 void Animation3D::setAnimFuncRot(ANIM_FUNCTION animFuncRot)
@@ -385,6 +385,6 @@
 
 /**
-   \brief stays at the value of the currentKeyFrame
-   \param timePassed The time passed since this Keyframe began
+ *  stays at the value of the currentKeyFrame
+ * @param timePassed The time passed since this Keyframe began
 */
 void Animation3D::rConstant(float timePassed) const
@@ -394,8 +394,8 @@
 
 /**
-   \brief linear interpolation between this keyframe and the next one
-   \param timePassed The time passed since this Keyframe began
-
-   \todo implement also do this for direction
+ *  linear interpolation between this keyframe and the next one
+ * @param timePassed The time passed since this Keyframe began
+
+   @todo implement also do this for direction
 */
 void Animation3D::rLinear(float timePassed) const
@@ -407,8 +407,8 @@
 
 /**
-   \brief a Sinusodial Interpolation between this keyframe and the next one
-   \param timePassed The time passed since this Keyframe began
-
-   \todo implement
+ *  a Sinusodial Interpolation between this keyframe and the next one
+ * @param timePassed The time passed since this Keyframe began
+
+   @todo implement
 */
 void Animation3D::rSine(float timePassed) const
@@ -427,8 +427,8 @@
 
 /**
-   \brief a cosine interpolation between this keyframe and the next one
-   \param timePassed The time passed since this Keyframe began
-
-   \todo implement
+ *  a cosine interpolation between this keyframe and the next one
+ * @param timePassed The time passed since this Keyframe began
+
+   @todo implement
 */
 void Animation3D::rCosine(float timePassed) const
@@ -443,6 +443,6 @@
 
 /**
-   \brief an exponential interpolation between this keyframe and the next one
-   \param timePassed The time passed since this Keyframe began
+ *  an exponential interpolation between this keyframe and the next one
+ * @param timePassed The time passed since this Keyframe began
 */
 void Animation3D::rExp(float timePassed) const
@@ -452,6 +452,6 @@
 
 /**
-   \brief a negative exponential interpolation between this keyframe and the next one
-   \param timePassed The time passed since this Keyframe began
+ *  a negative exponential interpolation between this keyframe and the next one
+ * @param timePassed The time passed since this Keyframe began
 */
 void Animation3D::rNegExp(float timePassed) const
@@ -465,8 +465,8 @@
 
 /**
-   \brief a quadratic interpolation between this keyframe and the next one
-   \param timePassed The time passed since this Keyframe began
-
-   \todo implement
+ *  a quadratic interpolation between this keyframe and the next one
+ * @param timePassed The time passed since this Keyframe began
+
+   @todo implement
 */
 void Animation3D::rQuadratic(float timePassed) const
@@ -476,6 +476,6 @@
 
 /**
-   \brief some random animation (fluctuating)
-   \param timePassed The time passed since this Keyframe began
+ *  some random animation (fluctuating)
+ * @param timePassed The time passed since this Keyframe began
 */
 void Animation3D::rRandom(float timePassed) const
Index: orxonox/trunk/src/util/animation/animation_player.cc
===================================================================
--- orxonox/trunk/src/util/animation/animation_player.cc	(revision 4834)
+++ orxonox/trunk/src/util/animation/animation_player.cc	(revision 4836)
@@ -24,5 +24,5 @@
 
 /**
-   \brief standard constructor
+ *  standard constructor
 */
 AnimationPlayer::AnimationPlayer ()
@@ -36,10 +36,10 @@
 
 /**
-   \brief the singleton reference to this class
+ *  the singleton reference to this class
 */
 AnimationPlayer* AnimationPlayer::singletonRef = NULL;
 
 /**
-   \brief standard deconstructor
+ *  standard deconstructor
 
    !! DANGER !! when unloading the AnimationPlayer no other Function
@@ -58,6 +58,6 @@
 
 /**
-   \brief adds an Animation to the AnimationList.
-   \param animation the Animation to handle
+ *  adds an Animation to the AnimationList.
+ * @param animation the Animation to handle
 
    when adding a Animation the Animation will too be deleted when
@@ -71,6 +71,6 @@
 
 /**
-   \brief removes an Animation from the Animation List, WITHOUT deleting it.
-   \param animation the Anmination to remove from the List
+ *  removes an Animation from the Animation List, WITHOUT deleting it.
+ * @param animation the Anmination to remove from the List
 */
 void AnimationPlayer::removeAnimation(Animation* animation)
@@ -80,5 +80,5 @@
 
 /**
-   \brief empties the list AND deletes all the Animations
+ *  empties the list AND deletes all the Animations
 */
 void AnimationPlayer::flush()
@@ -100,6 +100,6 @@
 
 /**
-   \brief Ticks all the animations in animationList
-   \param timePassed the time passed since the last tick.
+ *  Ticks all the animations in animationList
+ * @param timePassed the time passed since the last tick.
 */
 void AnimationPlayer::tick(float timePassed)
@@ -124,5 +124,5 @@
 }
 /**
-   \brief starts playing the AnimationPlayer
+ *  starts playing the AnimationPlayer
 */
 void AnimationPlayer::play()
@@ -132,5 +132,5 @@
 
 /**
-   \brief pauses playing of the AnimationPlayer
+ *  pauses playing of the AnimationPlayer
 */
 void AnimationPlayer::pause()
@@ -140,5 +140,5 @@
 
 /**
-   \returns the animation from a certain baseobject
+ * @returns the animation from a certain baseobject
    if multiple are found, it just retruns the first one
    if none is found it returns NULL
@@ -164,5 +164,5 @@
 
 /**
-   \brief Outputs some nice debug-information
+ *  Outputs some nice debug-information
 */
 void AnimationPlayer::debug()
Index: orxonox/trunk/src/util/animation/animation_player.h
===================================================================
--- orxonox/trunk/src/util/animation/animation_player.h	(revision 4834)
+++ orxonox/trunk/src/util/animation/animation_player.h	(revision 4836)
@@ -29,5 +29,5 @@
 
  public:
-  /** \returns a Pointer to the only object of this Class */
+  /** @returns a Pointer to the only object of this Class */
   inline static AnimationPlayer* getInstance() { if (!singletonRef) singletonRef = new AnimationPlayer();  return singletonRef; };
 
Index: orxonox/trunk/src/util/animation/t_animation.h
===================================================================
--- orxonox/trunk/src/util/animation/t_animation.h	(revision 4834)
+++ orxonox/trunk/src/util/animation/t_animation.h	(revision 4836)
@@ -77,5 +77,5 @@
 
 /**
-   \brief standard constructor
+ *  standard constructor
 */
 template<class T>
@@ -99,5 +99,5 @@
 
 /**
-   \brief standard deconstructor
+ *  standard deconstructor
 
    deletes all the Keyframes
@@ -119,5 +119,5 @@
 
 /**
-   \brief rewinds the Animation to the beginning (first KeyFrame and time == 0)
+ *  rewinds the Animation to the beginning (first KeyFrame and time == 0)
 */
 template<class T>
@@ -131,7 +131,7 @@
 
 /**
-   \brief sets the Function we want to animate
-   \param object from what object do we want to animate
-   \param funcToAnim which function
+ *  sets the Function we want to animate
+ * @param object from what object do we want to animate
+ * @param funcToAnim which function
 */
 template<class T>
@@ -143,8 +143,8 @@
 
 /**
-   \brief Appends a new Keyframe
-   \param value the value of the new KeyFrame
-   \param duration The duration from the new KeyFrame to the next one
-   \param animFunc The function to animate between this keyFrame and the next one
+ *  Appends a new Keyframe
+ * @param value the value of the new KeyFrame
+ * @param duration The duration from the new KeyFrame to the next one
+ * @param animFunc The function to animate between this keyFrame and the next one
 */
 template<class T>
@@ -181,6 +181,6 @@
 
 /**
-   \brief ticks the Animation
-   \param dt how much time to tick
+ *  ticks the Animation
+ * @param dt how much time to tick
 */
 template<class T>
@@ -217,6 +217,6 @@
 
 /**
-   \brief Sets The kind of Animation between this keyframe and the next one
-   \param animFunc The Type of Animation to set
+ *  Sets The kind of Animation between this keyframe and the next one
+ * @param animFunc The Type of Animation to set
 */
 template<class T>
@@ -259,6 +259,6 @@
 // animation functions
 /**
-   \brief stays at the value of the currentKeyFrame
-   \param timePassed The time passed since this Keyframe began
+ *  stays at the value of the currentKeyFrame
+ * @param timePassed The time passed since this Keyframe began
 */
 template<class T>
@@ -269,6 +269,6 @@
 
 /**
-   \brief linear interpolation between this keyframe and the next one
-   \param timePassed The time passed since this Keyframe began
+ *  linear interpolation between this keyframe and the next one
+ * @param timePassed The time passed since this Keyframe began
 */
 template<class T>
@@ -280,6 +280,6 @@
 
 /**
-   \brief a Sinusodial Interpolation between this keyframe and the next one
-   \param timePassed The time passed since this Keyframe began
+ *  a Sinusodial Interpolation between this keyframe and the next one
+ * @param timePassed The time passed since this Keyframe began
 */
 template<class T>
@@ -299,6 +299,6 @@
 
 /**
-   \brief a cosine interpolation between this keyframe and the next one
-   \param timePassed The time passed since this Keyframe began
+ *  a cosine interpolation between this keyframe and the next one
+ * @param timePassed The time passed since this Keyframe began
 */
 template<class T>
@@ -311,6 +311,6 @@
 
 /**
-   \brief an exponential interpolation between this keyframe and the next one
-   \param timePassed The time passed since this Keyframe began
+ *  an exponential interpolation between this keyframe and the next one
+ * @param timePassed The time passed since this Keyframe began
 */
 template<class T>
@@ -322,6 +322,6 @@
 
 /**
-   \brief a negative exponential interpolation between this keyframe and the next one
-   \param timePassed The time passed since this Keyframe began
+ *  a negative exponential interpolation between this keyframe and the next one
+ * @param timePassed The time passed since this Keyframe began
 */
 template<class T>
@@ -334,6 +334,6 @@
 
 /**
-   \brief a quadratic interpolation between this keyframe and the next one
-   \param timePassed The time passed since this Keyframe began
+ *  a quadratic interpolation between this keyframe and the next one
+ * @param timePassed The time passed since this Keyframe began
 */
 template<class T>
@@ -344,6 +344,6 @@
 
 /**
-   \brief some random animation (fluctuating)
-   \param timePassed The time passed since this Keyframe began
+ *  some random animation (fluctuating)
+ * @param timePassed The time passed since this Keyframe began
 */
 template<class T>
Index: orxonox/trunk/src/util/garbage_collector.cc
===================================================================
--- orxonox/trunk/src/util/garbage_collector.cc	(revision 4834)
+++ orxonox/trunk/src/util/garbage_collector.cc	(revision 4836)
@@ -31,5 +31,5 @@
 
 /**
-   \brief standard constructor
+ *  standard constructor
 */
 GarbageCollector::GarbageCollector ()
@@ -44,5 +44,5 @@
 
 /**
-   \brief standard deconstructor
+ *  standard deconstructor
 */
 GarbageCollector::~GarbageCollector ()
@@ -52,6 +52,6 @@
 
 /**
-   \brief this sets the collection delay
-   \param delay: the delay
+ *  this sets the collection delay
+ * @param delay: the delay
 
    after this delay, the garbage collector starts its work and begins to collect unused object
@@ -66,5 +66,5 @@
 
 /**
-   \brief this foreces a garbage collection
+ *  this foreces a garbage collection
 
    if this function is called, the gc tries to initiate the garbage collection routines. actually
@@ -81,6 +81,6 @@
 
 /**
-   \brief this ticks the GarbageCollector to give it the time pulse
-   \param time: the time passed since last tick
+ *  this ticks the GarbageCollector to give it the time pulse
+ * @param time: the time passed since last tick
 
    like every other tick function eg. worldentity
@@ -93,5 +93,5 @@
 
 /**
-   \brief this updated the gargabe collection, if the time is ready
+ *  this updated the gargabe collection, if the time is ready
 */
 void GarbageCollector::update()
Index: orxonox/trunk/src/util/garbage_collector.h
===================================================================
--- orxonox/trunk/src/util/garbage_collector.h	(revision 4834)
+++ orxonox/trunk/src/util/garbage_collector.h	(revision 4836)
@@ -1,6 +1,6 @@
-/*! 
+/*!
     \file garbage_collector.h
-    \brief Definition of the proto class template, used quickly start work
-    \todo Example: this shows how to use simply add a Marker that here has to be done something.
+  *  Definition of the proto class template, used quickly start work
+    @todo Example: this shows how to use simply add a Marker that here has to be done something.
 
     The Protoclass exists, to help you quikly getting the run for how to develop in orxonox.
@@ -16,5 +16,5 @@
 //! this class maintains the garbage collection.
 /**
-   the class is been ticked by the world.cc and goes through the 
+   the class is been ticked by the world.cc and goes through the
    world_entity list to clean out all unused entities.
 */
@@ -23,5 +23,5 @@
  public:
   virtual ~GarbageCollector();
-  /** \returns a Pointer to the only object of this Class */
+  /** @returns a Pointer to the only object of this Class */
   inline static GarbageCollector* getInstance() { if (!singletonRef) singletonRef = new GarbageCollector();  return singletonRef; };
 
Index: orxonox/trunk/src/util/loading/factory.cc
===================================================================
--- orxonox/trunk/src/util/loading/factory.cc	(revision 4834)
+++ orxonox/trunk/src/util/loading/factory.cc	(revision 4836)
@@ -26,5 +26,5 @@
 
 /**
-   \brief constructor
+ *  constructor
 
    set everything to zero and define factoryName
@@ -44,5 +44,5 @@
 
 /**
-   \brief destructor
+ *  destructor
 
    clear the Q
@@ -58,6 +58,6 @@
 
 /**
-   \brief add a Factory to the Factory Queue
-   \param factory a Factory to be registered
+ *  add a Factory to the Factory Queue
+ * @param factory a Factory to be registered
 */
 void Factory::registerFactory( Factory* factory)
Index: orxonox/trunk/src/util/loading/factory.h
===================================================================
--- orxonox/trunk/src/util/loading/factory.h	(revision 4834)
+++ orxonox/trunk/src/util/loading/factory.h	(revision 4836)
@@ -33,5 +33,5 @@
     Creates a factory to a Loadable Class.
     this should be used at the beginning of all the Classes that should be loadable (in the cc-file)
-  \todo make factoryName a BaseObject-parameter. (else it would be redundant)
+  @todo make factoryName a BaseObject-parameter. (else it would be redundant)
 */
 #define CREATE_FACTORY(CLASS_NAME) tFactory<CLASS_NAME>* global_##CLASS_NAME##_Factory = new tFactory<CLASS_NAME>(#CLASS_NAME)
@@ -48,9 +48,9 @@
 
   static void registerFactory( Factory* factory);
-  /** \brief sets the Next factory in the list \param nextFactory the next factory */
+  /** \brief sets the Next factory in the list @param nextFactory the next factory */
   inline void setNext( Factory* nextFactory) { this->next = nextFactory; };
-  /** \returns the first factory */
+  /** @returns the first factory */
   static Factory* getFirst() { return Factory::first; };
-  /** \returns the next factory */
+  /** @returns the next factory */
   Factory* getNext() const { return this->next; };
 
@@ -64,5 +64,5 @@
 
 /**
-   \brief a factory that is able to load any kind of Object
+ *  a factory that is able to load any kind of Object
    (this is a Functor)
 */
@@ -78,6 +78,6 @@
 
 /**
-   \brief construnts a factory with
-   \param factoryName the name of the factory
+ *  construnts a factory with
+ * @param factoryName the name of the factory
 */
 template<class T>
Index: orxonox/trunk/src/util/loading/game_loader.cc
===================================================================
--- orxonox/trunk/src/util/loading/game_loader.cc	(revision 4834)
+++ orxonox/trunk/src/util/loading/game_loader.cc	(revision 4836)
@@ -37,5 +37,5 @@
 
 /**
-   \brief simple constructor
+ *  simple constructor
 */
 GameLoader::GameLoader ()
@@ -47,5 +47,5 @@
 
 /**
-   \brief simple deconstructor
+ *  simple deconstructor
 */
 GameLoader::~GameLoader ()
@@ -59,6 +59,6 @@
 
 /**
-   \brief this class is a singleton class
-   \returns an instance of itself
+ *  this class is a singleton class
+ * @returns an instance of itself
 
    if you are unsure about singleton classes, check the theory out on the internet :)
@@ -72,5 +72,5 @@
 
 /**
-   \brief initializes the GameLoader
+ *  initializes the GameLoader
 */
 ErrorMessage GameLoader::init()
@@ -88,7 +88,7 @@
 
 /**
-   \brief reads a campaign definition file into a campaign class
-   \param fileName to be loaded
-   \returns the loaded campaign
+ *  reads a campaign definition file into a campaign class
+ * @param fileName to be loaded
+ * @returns the loaded campaign
 
    this will interprete the map/campaign files and recursivly load a tree of worlds/campaigns
@@ -109,7 +109,7 @@
 
 /**
-   \brief loads a debug campaign for test purposes only.
-   \param campaignID the identifier of the campaign.
-   \returns error message if not able to do so.
+ *  loads a debug campaign for test purposes only.
+ * @param campaignID the identifier of the campaign.
+ * @returns error message if not able to do so.
 */
 ErrorMessage GameLoader::loadDebugCampaign(Uint32 campaignID)
@@ -147,6 +147,6 @@
 
 /**
-    \brief starts the current entity
-    \returns error code if this action has caused a error
+  *  starts the current entity
+  * @returns error code if this action has caused a error
 */
 ErrorMessage GameLoader::start()
@@ -158,6 +158,6 @@
 
 /**
-    \brief stops the current entity
-    \returns error code if this action has caused a error
+  *  stops the current entity
+  * @returns error code if this action has caused a error
 
     ATTENTION: this function shouldn't call other functions, or if so, they must return
@@ -175,6 +175,6 @@
 
 /**
-    \brief pause the current entity
-    \returns error code if this action has caused a error
+  *  pause the current entity
+  * @returns error code if this action has caused a error
 
     this pauses the current entity or passes this call forth to the running entity.
@@ -189,6 +189,6 @@
 
 /**
-    \brief resumes a pause
-    \returns error code if this action has caused a error
+  *  resumes a pause
+  * @returns error code if this action has caused a error
 
     this resumess the current entity or passes this call forth to the running entity.
@@ -203,5 +203,5 @@
 
 /**
-   \brief release the mem ATTENTION: not implemented
+ *  release the mem ATTENTION: not implemented
  */
 ErrorMessage GameLoader::destroy()
@@ -212,7 +212,7 @@
 
 /**
-   \brief reads a campaign definition file into a campaign class
-   \param fileName to be loaded
-   \returns the loaded campaign
+ *  reads a campaign definition file into a campaign class
+ * @param fileName to be loaded
+ * @returns the loaded campaign
 
    this will interprete the map/campaign files and recursivly load a tree of worlds/campaigns
@@ -264,6 +264,6 @@
 
 /**
-   \brief handle keyboard commands
-   \param event the event to handle
+ *  handle keyboard commands
+ * @param event the event to handle
 */
 void GameLoader::process(const Event& event)
@@ -322,6 +322,6 @@
 
 /**
-   \brief load a StoryEntity
-   \param element a XMLElement containing all the needed info
+ *  load a StoryEntity
+ * @param element a XMLElement containing all the needed info
 */
 BaseObject* GameLoader::fabricate(const TiXmlElement* element)
Index: orxonox/trunk/src/util/loading/game_loader.h
===================================================================
--- orxonox/trunk/src/util/loading/game_loader.h	(revision 4834)
+++ orxonox/trunk/src/util/loading/game_loader.h	(revision 4836)
@@ -1,5 +1,5 @@
 /*!
     \file game_loader.h
-    \brief loads campaigns, worlds and all other story_entities
+  *  loads campaigns, worlds and all other story_entities
 */
 
@@ -57,5 +57,5 @@
   void previousLevel();
 
-  /** \brief a world command to send to the GameLoader \param cmd the command */
+  /** \brief a world command to send to the GameLoader @param cmd the command */
   bool worldCommand(Command* cmd);
   ErrorMessage loadDebugCampaign(Uint32 campaignID);
Index: orxonox/trunk/src/util/loading/load_param.cc
===================================================================
--- orxonox/trunk/src/util/loading/load_param.cc	(revision 4834)
+++ orxonox/trunk/src/util/loading/load_param.cc	(revision 4836)
@@ -22,10 +22,10 @@
 
 /**
-   \param object The object this Parameter is loaded too.
-   \param root: the XML-element to load this option from.
-   \param paramName: The name of the parameter loaded.
-   \param paramCount: how many parameters this loading-function takes
-   \param multi: if false LoadParam assumes only one occurence of this parameter in root, if true it assumes multiple occurences.
-   \param ...: the parameter information (1. Parameter, 2. Default Value for the Parameter, ...)
+ * @param object The object this Parameter is loaded too.
+ * @param root: the XML-element to load this option from.
+ * @param paramName: The name of the parameter loaded.
+ * @param paramCount: how many parameters this loading-function takes
+ * @param multi: if false LoadParam assumes only one occurence of this parameter in root, if true it assumes multiple occurences.
+ * @param ...: the parameter information (1. Parameter, 2. Default Value for the Parameter, ...)
 */
 BaseLoadParam::BaseLoadParam(const TiXmlElement* root, BaseObject* object, const char* paramName,
@@ -152,6 +152,6 @@
 
 /**
-   \param descriptionText The text to set as a description for this Parameter
-   \returns a pointer to itself.
+ * @param descriptionText The text to set as a description for this Parameter
+ * @returns a pointer to itself.
 */
 BaseLoadParam* BaseLoadParam::describe(const char* descriptionText)
@@ -165,5 +165,5 @@
 
 /**
-   \param paramName the name of the parameter to load
+ * @param paramName the name of the parameter to load
 */
 LoadParamDescription::LoadParamDescription(const char* paramName)
@@ -177,5 +177,5 @@
 
 /**
-   \brief removes all the alocated memory
+ *  removes all the alocated memory
 */
 LoadParamDescription::~LoadParamDescription()
@@ -197,5 +197,5 @@
 
 /**
-   \param descriptionText The text to set as a description for this Parameter
+ * @param descriptionText The text to set as a description for this Parameter
 */
 void LoadParamDescription::setDescription(const char* descriptionText)
@@ -206,5 +206,5 @@
 
 /**
-   \brief prints out this parameter, its input method and the description (if availiable)
+ *  prints out this parameter, its input method and the description (if availiable)
 */
 void LoadParamDescription::print() const
@@ -243,15 +243,15 @@
 
 /**
-   \brief A list, that holds all the classes that are loadable (classes not objects!!)
+ *  A list, that holds all the classes that are loadable (classes not objects!!)
 */
 tList<LoadClassDescription>* LoadClassDescription::classList = new tList<LoadClassDescription>;
 
 /**
-   \brief if the description of Parameters should be executed
+ *  if the description of Parameters should be executed
 */
 bool LoadClassDescription::parametersDescription = true;
 
 /**
-   \param className the name of the class to be loadable
+ * @param className the name of the class to be loadable
 */
 LoadClassDescription::LoadClassDescription(const char* className)
@@ -266,5 +266,5 @@
 
 /**
-   \brief deletes a classDescription (deletes all the parameterDescriptions as well
+ *  deletes a classDescription (deletes all the parameterDescriptions as well
 */
 LoadClassDescription::~LoadClassDescription()
@@ -283,6 +283,6 @@
 
 /**
-   \brief adds a class to the list of loadable classes
-   \param className The name of the class to add
+ *  adds a class to the list of loadable classes
+ * @param className The name of the class to add
 
    this function searches for the className string, and if found just returns the appropriate Class.
@@ -308,6 +308,6 @@
 
 /**
-   \brief does the same as addClass(const char* className), but with params
-   \param paramName the name of the parameter to add.
+ *  does the same as addClass(const char* className), but with params
+ * @param paramName the name of the parameter to add.
 */
 LoadParamDescription* LoadClassDescription::addParam(const char* paramName)
@@ -331,5 +331,5 @@
 
 /**
-   \brief prints out all loadable Classes, and their parameters
+ *  prints out all loadable Classes, and their parameters
 */
 void LoadClassDescription::printAll(const char* fileName)
@@ -361,7 +361,7 @@
 
 /**
-   \param root: The XML-element to grab a parameter from
-   \param parameterName: the parameter to grab
-   \returns the Value of the parameter if found, NULL otherwise
+ * @param root: The XML-element to grab a parameter from
+ * @param parameterName: the parameter to grab
+ * @returns the Value of the parameter if found, NULL otherwise
 */
 const char* grabParameter(const TiXmlElement* root, const char* parameterName)
Index: orxonox/trunk/src/util/loading/load_param.h
===================================================================
--- orxonox/trunk/src/util/loading/load_param.h	(revision 4834)
+++ orxonox/trunk/src/util/loading/load_param.h	(revision 4836)
@@ -16,5 +16,5 @@
 /*!
     \file load_param.h
-    \brief A Class and macro-functions, that makes our lives easy to load-in parameters
+  *  A Class and macro-functions, that makes our lives easy to load-in parameters
 */
 
@@ -111,6 +111,6 @@
 // 1. TYPE
 /**
-   \brief a Macro to easily implement many different Constructors for the LoadParam-Class with 1 argument
-   \param type1 The type of the first functionParameter
+ *  a Macro to easily implement many different Constructors for the LoadParam-Class with 1 argument
+ * @param type1 The type of the first functionParameter
 */
 #define LoadParam1(type1) \
@@ -128,7 +128,7 @@
 // 2. TYPES
 /**
-   \brief a Macro to easily implement many different Constructors for the LoadParam-Class with 2 arguments
-   \param type1 The type of the first functionParameter
-   \param type2 The type of the second functionParameter
+ *  a Macro to easily implement many different Constructors for the LoadParam-Class with 2 arguments
+ * @param type1 The type of the first functionParameter
+ * @param type2 The type of the second functionParameter
 */
 #define LoadParam2(type1, type2) \
@@ -153,8 +153,8 @@
 // 3. TYPES
 /**
-   \brief a Macro to easily implement many different Constructors for the LoadParam-Class with 3 arguments
-   \param type1 The type of the first functionParameter
-   \param type2 The type of the second functionParameter
-   \param type3 The type of the third functionParameter
+ *  a Macro to easily implement many different Constructors for the LoadParam-Class with 3 arguments
+ * @param type1 The type of the first functionParameter
+ * @param type2 The type of the second functionParameter
+ * @param type3 The type of the third functionParameter
 */
 #define LoadParam3(type1, type2, type3) \
@@ -179,9 +179,9 @@
 // 4. TYPES
 /**
-   \brief a Macro to easily implement many different Constructors for the LoadParam-Class with 4 arguments
-   \param type1 The type of the first functionParameter
-   \param type2 The type of the second functionParameter
-   \param type3 The type of the third functionParameter
-   \param type4 The type of the forth functionParameter
+ *  a Macro to easily implement many different Constructors for the LoadParam-Class with 4 arguments
+ * @param type1 The type of the first functionParameter
+ * @param type2 The type of the second functionParameter
+ * @param type3 The type of the third functionParameter
+ * @param type4 The type of the forth functionParameter
 */
 #define LoadParam4(type1, type2, type3, type4) \
@@ -208,10 +208,10 @@
 // 5. TYPES
 /**
-   \brief a Macro to easily implement many different Constructors for the LoadParam-Class with 5 arguments
-   \param type1 The type of the first functionParameter
-   \param type2 The type of the second functionParameter
-   \param type3 The type of the third functionParameter
-   \param type4 The type of the forth functionParameter
-   \param type5 The type of the fifth functionParameter
+ *  a Macro to easily implement many different Constructors for the LoadParam-Class with 5 arguments
+ * @param type1 The type of the first functionParameter
+ * @param type2 The type of the second functionParameter
+ * @param type3 The type of the third functionParameter
+ * @param type4 The type of the forth functionParameter
+ * @param type5 The type of the fifth functionParameter
 */
 #define LoadParam5(type1, type2, type3, type4, type5) \
@@ -238,6 +238,6 @@
 // Pointer TYPE
 /**
-   \brief a Macro to easily implement many different Constructors for the LoadParam-Class with one Pointer argument
-   \param type1 The type of the Pointer
+ *  a Macro to easily implement many different Constructors for the LoadParam-Class with one Pointer argument
+ * @param type1 The type of the Pointer
  */
 #define LoadParamPT(type1) \
@@ -276,5 +276,5 @@
 
   void setDescription(const char* descriptionText);
-  /** \returns the descriptionString */
+  /** @returns the descriptionString */
   const char* getDescription() { return this->description; };
 
Index: orxonox/trunk/src/util/object_manager.cc
===================================================================
--- orxonox/trunk/src/util/object_manager.cc	(revision 4834)
+++ orxonox/trunk/src/util/object_manager.cc	(revision 4836)
@@ -24,5 +24,5 @@
 
 /**
-   \brief standard constructor
+ *  standard constructor
 */
 ObjectManager::ObjectManager ()
@@ -40,10 +40,10 @@
 
 /**
-   \brief the singleton reference to this class
+ *  the singleton reference to this class
 */
 ObjectManager* ObjectManager::singletonRef = NULL;
 
 /**
-   \brief standard deconstructor
+ *  standard deconstructor
 */
 ObjectManager::~ObjectManager ()
@@ -53,7 +53,7 @@
 
 /**
-   \brief adds an element to the list of dead objects
-   \param index: The type of object to add
-   \param object: pointer to the object at hand
+ *  adds an element to the list of dead objects
+ * @param index: The type of object to add
+ * @param object: pointer to the object at hand
 */
 void ObjectManager::addToDeadList(int index, BaseObject* object)
@@ -66,9 +66,9 @@
 
 /**
-   \brief resurects an object
-   \param index: the type of resource to load
-   \param number: how many of them
+ *  resurects an object
+ * @param index: the type of resource to load
+ * @param number: how many of them
 
-   \todo if it is unable to get an object from the deadList, it should create it
+   @todo if it is unable to get an object from the deadList, it should create it
 */
 BaseObject* ObjectManager::getFromDeadList(int index, int number)
@@ -90,5 +90,5 @@
 
 /**
-   \brief outputs some simple debug information about the ObjectManage
+ *  outputs some simple debug information about the ObjectManage
 */
 void ObjectManager::debug() const
Index: orxonox/trunk/src/util/object_manager.h
===================================================================
--- orxonox/trunk/src/util/object_manager.h	(revision 4834)
+++ orxonox/trunk/src/util/object_manager.h	(revision 4836)
@@ -1,5 +1,5 @@
 /*!
     \file object_manager.h
-    \brief this manager will ceep track of the objects  in the world
+  *  this manager will ceep track of the objects  in the world
 
     This is specially designed to:
@@ -45,5 +45,5 @@
  public:
   virtual ~ObjectManager();
-  /** \returns a Pointer to the only object of this Class */
+  /** @returns a Pointer to the only object of this Class */
   inline static ObjectManager* getInstance() { if (!singletonRef) singletonRef = new ObjectManager();  return singletonRef; };
 
Index: orxonox/trunk/src/util/resource_manager.cc
===================================================================
--- orxonox/trunk/src/util/resource_manager.cc	(revision 4834)
+++ orxonox/trunk/src/util/resource_manager.cc	(revision 4836)
@@ -47,5 +47,5 @@
 
 /**
-   \brief standard constructor
+ *  standard constructor
 */
 ResourceManager::ResourceManager ()
@@ -64,5 +64,5 @@
 
 /**
-   \brief standard destructor
+ *  standard destructor
 */
 ResourceManager::~ResourceManager ()
@@ -87,6 +87,6 @@
 
 /**
-   \brief sets the data main directory
-   \param dataDir the DataDirectory.
+ *  sets the data main directory
+ * @param dataDir the DataDirectory.
 */
 bool ResourceManager::setDataDir(const char* dataDir)
@@ -110,6 +110,6 @@
 
 /**
-   \brief checks for the DataDirectory, by looking if
-   \param fileInside is inisde??
+ *  checks for the DataDirectory, by looking if
+ * @param fileInside is inisde??
 */
 bool ResourceManager::checkDataDir(const char* fileInside)
@@ -131,7 +131,7 @@
 #ifndef NO_TEXTURES
 /**
-   \brief adds a new Path for Images
-   \param imageDir The path to insert
-   \returns true, if the Path was well and injected (or already existent within the list)
+ *  adds a new Path for Images
+ * @param imageDir The path to insert
+ * @returns true, if the Path was well and injected (or already existent within the list)
    false otherwise
 */
@@ -171,11 +171,11 @@
 
 /**
-   \brief loads resources
-   \param fileName: The fileName of the resource to load
-   \param prio: The ResourcePriority of this resource (will only be increased)
-   \param param1: an additional option to parse (see the constuctors for more help)
-   \param param2: an additional option to parse (see the constuctors for more help)
-   \param param3: an additional option to parse (see the constuctors for more help)
-   \returns a pointer to a desired Resource.
+ *  loads resources
+ * @param fileName: The fileName of the resource to load
+ * @param prio: The ResourcePriority of this resource (will only be increased)
+ * @param param1: an additional option to parse (see the constuctors for more help)
+ * @param param2: an additional option to parse (see the constuctors for more help)
+ * @param param3: an additional option to parse (see the constuctors for more help)
+ * @returns a pointer to a desired Resource.
 */
 void* ResourceManager::load(const char* fileName, ResourcePriority prio, void* param1, void* param2, void* param3)
@@ -228,12 +228,12 @@
 
 /**
-   \brief loads resources
-   \param fileName: The fileName of the resource to load
-   \param type: The Type of Resource to load (\see ResourceType)
-   \param prio: The ResourcePriority of this resource (will only be increased)
-   \param param1: an additional option to parse (see the constuctors for more help)
-   \param param2: an additional option to parse (see the constuctors for more help)
-   \param param3: an additional option to parse (see the constuctors for more help)
-   \returns a pointer to a desired Resource.
+ *  loads resources
+ * @param fileName: The fileName of the resource to load
+ * @param type: The Type of Resource to load (\see ResourceType)
+ * @param prio: The ResourcePriority of this resource (will only be increased)
+ * @param param1: an additional option to parse (see the constuctors for more help)
+ * @param param2: an additional option to parse (see the constuctors for more help)
+ * @param param3: an additional option to parse (see the constuctors for more help)
+ * @returns a pointer to a desired Resource.
 */
 void* ResourceManager::load(const char* fileName, ResourceType type, ResourcePriority prio,
@@ -400,8 +400,8 @@
 
 /**
-   \brief unloads a Resource
-   \param pointer: The pointer to free
-   \param prio: the PriorityLevel to unload this resource
-   \returns true if successful (pointer found, and deleted), false otherwise
+ *  unloads a Resource
+ * @param pointer: The pointer to free
+ * @param prio: the PriorityLevel to unload this resource
+ * @returns true if successful (pointer found, and deleted), false otherwise
 */
 bool ResourceManager::unload(void* pointer, ResourcePriority prio)
@@ -419,7 +419,7 @@
 
 /**
-   \brief unloads a Resource
-   \param resource: The resource to unloade
-   \param prio the PriorityLevel to unload this resource
+ *  unloads a Resource
+ * @param resource: The resource to unloade
+ * @param prio the PriorityLevel to unload this resource
 */
 bool ResourceManager::unload(Resource* resource, ResourcePriority prio)
@@ -478,6 +478,6 @@
 
 /**
-   \brief unloads all alocated Memory of Resources with a pririty lower than prio
-   \param prio The priority to delete
+ *  unloads all alocated Memory of Resources with a pririty lower than prio
+ * @param prio The priority to delete
 */
 bool ResourceManager::unloadAllByPriority(ResourcePriority prio)
@@ -500,11 +500,11 @@
 
 /**
-   \brief Searches for a Resource by some information
-   \param fileName: The name to look for
-   \param type the Type of resource to locate.
-   \param param1: an additional option to parse (see the constuctors for more help)
-   \param param2: an additional option to parse (see the constuctors for more help)
-   \param param3: an additional option to parse (see the constuctors for more help)
-   \returns a Pointer to the Resource if found, NULL otherwise.
+ *  Searches for a Resource by some information
+ * @param fileName: The name to look for
+ * @param type the Type of resource to locate.
+ * @param param1: an additional option to parse (see the constuctors for more help)
+ * @param param2: an additional option to parse (see the constuctors for more help)
+ * @param param3: an additional option to parse (see the constuctors for more help)
+ * @returns a Pointer to the Resource if found, NULL otherwise.
 */
 Resource* ResourceManager::locateResourceByInfo(const char* fileName, ResourceType type,
@@ -587,7 +587,7 @@
 
 /**
-   \brief Searches for a Resource by Pointer
-   \param pointer the Pointer to search for
-   \returns a Pointer to the Resource if found, NULL otherwise.
+ *  Searches for a Resource by Pointer
+ * @param pointer the Pointer to search for
+ * @returns a Pointer to the Resource if found, NULL otherwise.
 */
 Resource* ResourceManager::locateResourceByPointer(const void* pointer)
@@ -610,7 +610,7 @@
 
 /**
-   \brief Checks if it is a Directory
-   \param directoryName the Directory to check for
-   \returns true if it is a directory/symlink false otherwise
+ *  Checks if it is a Directory
+ * @param directoryName the Directory to check for
+ * @returns true if it is a directory/symlink false otherwise
 */
 bool ResourceManager::isDir(const char* directoryName)
@@ -657,7 +657,7 @@
 
 /**
-   \brief Checks if the file is either a Regular file or a Symlink
-   \param fileName the File to check for
-   \returns true if it is a regular file/symlink, false otherwise
+ *  Checks if the file is either a Regular file or a Symlink
+ * @param fileName the File to check for
+ * @returns true if it is a regular file/symlink, false otherwise
 */
 bool ResourceManager::isFile(const char* fileName)
@@ -693,6 +693,6 @@
 
 /**
-   \brief touches a File on the disk (thereby creating it)
-   \param fileName The file to touch
+ *  touches a File on the disk (thereby creating it)
+ * @param fileName The file to touch
 */
 bool ResourceManager::touchFile(const char* fileName)
@@ -713,6 +713,6 @@
 
 /**
-   \brief deletes a File from disk
-   \param fileName the File to delete
+ *  deletes a File from disk
+ * @param fileName the File to delete
 */
 bool ResourceManager::deleteFile(const char* fileName)
@@ -726,6 +726,6 @@
 
 /**
-    \param name the Name of the file to check
-    \returns The name of the file, including the HomeDir
+  * @param name the Name of the file to check
+  * @returns The name of the file, including the HomeDir
     IMPORTANT: this has to be deleted from the outside
 */
@@ -755,6 +755,6 @@
 
 /**
-    \param fileName the Name of the File to check
-    \returns The full name of the file, including the DataDir, and NULL if the file does not exist
+  * @param fileName the Name of the File to check
+  * @returns The full name of the file, including the DataDir, and NULL if the file does not exist
     IMPORTANT: this has to be deleted from the outside
 */
@@ -778,5 +778,5 @@
 
 /**
-   \brief outputs debug information about the ResourceManager
+ *  outputs debug information about the ResourceManager
 */
 void ResourceManager::debug() const
Index: orxonox/trunk/src/util/resource_manager.h
===================================================================
--- orxonox/trunk/src/util/resource_manager.h	(revision 4834)
+++ orxonox/trunk/src/util/resource_manager.h	(revision 4836)
@@ -1,5 +1,5 @@
 /*!
     \file resource_manager.h
-    \brief The Resource Manager checks if a file/resource is loaded.
+  *  The Resource Manager checks if a file/resource is loaded.
 
     If a file/resource was already loaded the resourceManager will
@@ -99,9 +99,9 @@
  public:
   virtual ~ResourceManager();
-  /** \returns a Pointer to the only object of this Class */
+  /** @returns a Pointer to the only object of this Class */
   inline static ResourceManager* getInstance() { if (!singletonRef) singletonRef = new ResourceManager();  return singletonRef; };
 
   bool setDataDir(const char* dataDir);
-  /** \returns the Name of the data directory */
+  /** @returns the Name of the data directory */
   inline const char* getDataDir() const {return this->dataDir;}
 
Index: orxonox/trunk/src/util/state.cc
===================================================================
--- orxonox/trunk/src/util/state.cc	(revision 4834)
+++ orxonox/trunk/src/util/state.cc	(revision 4836)
@@ -32,5 +32,5 @@
 
 /**
-   \brief sets camera and target of the current Camera
+ *  sets camera and target of the current Camera
 */
 void State::setCamera(const PNode* camera, const PNode* cameraTarget)
Index: orxonox/trunk/src/util/state.h
===================================================================
--- orxonox/trunk/src/util/state.h	(revision 4834)
+++ orxonox/trunk/src/util/state.h	(revision 4836)
@@ -1,5 +1,5 @@
 /*!
     \file state.h
-    \brief Definition of the States-singleton Class
+  *  Definition of the States-singleton Class
 */
 
Index: orxonox/trunk/src/util/track/pilot_node.cc
===================================================================
--- orxonox/trunk/src/util/track/pilot_node.cc	(revision 4834)
+++ orxonox/trunk/src/util/track/pilot_node.cc	(revision 4836)
@@ -26,5 +26,5 @@
 
 /**
-   \brief standard constructor
+ *  standard constructor
 */
 PilotNode::PilotNode ()
@@ -39,5 +39,5 @@
 
 /**
-   \brief standard deconstructor
+ *  standard deconstructor
 */
 PilotNode::~PilotNode ()
@@ -47,6 +47,6 @@
 
 /**
-    \brief ticks the node
-    \param time the time about whitch to tick                                           \
+  *  ticks the node
+  * @param time the time about whitch to tick                                           \
 */
 void PilotNode::tick(float time)
@@ -57,6 +57,6 @@
 
 /**
-   \brief action if player moves
-   \param time the timeslice since the last frame
+ *  action if player moves
+ * @param time the timeslice since the last frame
 */
 void PilotNode::move (float time)
@@ -98,6 +98,6 @@
 
 /**
-   \brief handles events
-   \param event the event that occured
+ *  handles events
+ * @param event the event that occured
 */
 void PilotNode::process( const Event &event)
Index: orxonox/trunk/src/util/track/pilot_node.h
===================================================================
--- orxonox/trunk/src/util/track/pilot_node.h	(revision 4834)
+++ orxonox/trunk/src/util/track/pilot_node.h	(revision 4836)
@@ -1,5 +1,5 @@
 /*!
     \file pilot_node.h
-    \brief Definition of a PilotNode
+  *  Definition of a PilotNode
 */
 
Index: orxonox/trunk/src/util/track/track_manager.cc
===================================================================
--- orxonox/trunk/src/util/track/track_manager.cc	(revision 4834)
+++ orxonox/trunk/src/util/track/track_manager.cc	(revision 4836)
@@ -36,5 +36,5 @@
 
 /**
-   \brief initializes a TrackElement (sets the default values)
+ *  initializes a TrackElement (sets the default values)
 */
 TrackElement::TrackElement()
@@ -66,6 +66,6 @@
 
 /**
-    \brief destroys all alocated memory)
-    \todo eventually when deleting a TrackElement you would not like to delete all its preceding TrackElements
+  *  destroys all alocated memory)
+    @todo eventually when deleting a TrackElement you would not like to delete all its preceding TrackElements
 */
 TrackElement::~TrackElement()
@@ -91,7 +91,7 @@
 
 /**
-   \brief Searches through all the TrackElements for trackID.
-   \param trackID The ID to search for.
-   \returns The TrackElement if Found, NULL otherwise.
+ *  Searches through all the TrackElements for trackID.
+ * @param trackID The ID to search for.
+ * @returns The TrackElement if Found, NULL otherwise.
 */
 TrackElement* TrackElement::findByID(unsigned int trackID)
@@ -120,7 +120,7 @@
 
 /**
-   \brief Searches through all the TrackElements for a trackName
-   \param trackName The name to search for.
-   \returns The TrackElement if Found, NULL otherwise.
+ *  Searches through all the TrackElements for a trackName
+ * @param trackName The name to search for.
+ * @returns The TrackElement if Found, NULL otherwise.
 */
 TrackElement* TrackElement::findByName(const char* trackName)
@@ -148,6 +148,6 @@
 
 /**
-   \brief checks if there are any BackLoops in the Track
-   \returns true if NO loop was found, false Otherwise
+ *  checks if there are any BackLoops in the Track
+ * @returns true if NO loop was found, false Otherwise
    You actually have to act on false!!
 */
@@ -164,7 +164,7 @@
 
 /**
-   \brief checks if there are any BackLoops in the Track.
-   \param trackList A list of stored tracks, to search in.
-   \returns true if NO loop was found, false Otherwise
+ *  checks if there are any BackLoops in the Track.
+ * @param trackList A list of stored tracks, to search in.
+ * @returns true if NO loop was found, false Otherwise
    You actually have to act on false!!
 */
@@ -192,6 +192,6 @@
 
 /**
-   \param childCount which child to return
-   \returns the n-the children (starting at 0).
+ * @param childCount which child to return
+ * @returns the n-the children (starting at 0).
    Be aware, that when the trackElement has no Children, NULL will be returned
 */
@@ -214,5 +214,5 @@
 
 /**
-   \brief prints out debug information about this TrackElement
+ *  prints out debug information about this TrackElement
 */
 void TrackElement::debug() const
@@ -260,7 +260,7 @@
 
 /**
-   \brief CONDITION that chooses the first child for the decision (static)
-   \param nothing Nothing in this function
-   \returns the chosen child
+ *  CONDITION that chooses the first child for the decision (static)
+ * @param nothing Nothing in this function
+ * @returns the chosen child
 */
 int TrackElement::lowest(const void* nothing) const
@@ -270,7 +270,7 @@
 
 /**
-   \brief CONDITION that chooses the last child for the decision (static)
-   \param nothing Nothing in this function
-   \returns the chosen child
+ *  CONDITION that chooses the last child for the decision (static)
+ * @param nothing Nothing in this function
+ * @returns the chosen child
 */
 int TrackElement::highest(const void* nothing) const
@@ -280,7 +280,7 @@
 
 /**
-   \brief CONDITION that chooses a random child for the decision (static)
-   \param nothing Nothing in this function
-   \returns the chosen child
+ *  CONDITION that chooses a random child for the decision (static)
+ * @param nothing Nothing in this function
+ * @returns the chosen child
 */
 int TrackElement::random(const void* nothing) const
@@ -294,8 +294,8 @@
 
 /**
-   \brief CONDITION that chooses child 0, if the node(probably Player)
+ *  CONDITION that chooses child 0, if the node(probably Player)
    is left of its parent (z<0)) and 1/right otherwise.
-   \param node The node to act upon.
-   \returns the chosen child
+ * @param node The node to act upon.
+ * @returns the chosen child
 */
 int TrackElement::leftRight(const void* node) const
@@ -311,7 +311,7 @@
 
 /**
-   \brief CONDITION that chooses the child, that has the nearest distance to the node (probably player).
-   \param node The node to act upon.
-   \returns the chosen child
+ *  CONDITION that chooses the child, that has the nearest distance to the node (probably player).
+ * @param node The node to act upon.
+ * @returns the chosen child
 
    This is rather dangerous, because one must carefully set the points on the curve.
@@ -354,5 +354,5 @@
 ////////////////////////
 /**
-   \brief standard constructor
+ *  standard constructor
 
 */
@@ -391,6 +391,6 @@
 
 /**
-   \brief loads a trackElement from a TiXmlElement
-   \param root the TiXmlElement to load the Data from
+ *  loads a trackElement from a TiXmlElement
+ * @param root the TiXmlElement to load the Data from
 */
 bool TrackManager::loadParams(const TiXmlElement* root)
@@ -449,5 +449,5 @@
 
 /**
-   \brief standard destructor
+ *  standard destructor
 */
 TrackManager::~TrackManager()
@@ -469,7 +469,7 @@
 // INITIALIZE //
 /**
-   \brief reserves Space for childCount children
-   \param childCount The Count of children to make space for.
-   \param trackElem The TrackElement to appy this to. (if NULL chose this->currentTrackElement)
+ *  reserves Space for childCount children
+ * @param childCount The Count of children to make space for.
+ * @param trackElem The TrackElement to appy this to. (if NULL chose this->currentTrackElement)
 */
 void TrackManager::initChildren(unsigned int childCount, TrackElement* trackElem)
@@ -513,6 +513,6 @@
 
 /**
-   \brief Sets the trackID we are working on.
-   \param trackID the trackID we are working on
+ *  Sets the trackID we are working on.
+ * @param trackID the trackID we are working on
 */
 void TrackManager::workOn(unsigned int trackID)
@@ -527,6 +527,6 @@
 
 /**
-   \brief Sets the TrackElement to work on
-   \param trackName the Name of the Track to work on
+ *  Sets the TrackElement to work on
+ * @param trackName the Name of the Track to work on
 */
 void TrackManager::workOnS(const char* trackName)
@@ -541,9 +541,9 @@
 
 /**
-   \brief Sets the Type of the Curve
-   \param curveType The Type to set
-   \param trackElem the TrackElement that should get a new Curve.
-
-   \brief this will possibly get obsolete during the process.
+ *  Sets the Type of the Curve
+ * @param curveType The Type to set
+ * @param trackElem the TrackElement that should get a new Curve.
+
+ *  this will possibly get obsolete during the process.
 */
 void TrackManager::setCurveType(CurveType curveType, TrackElement* trackElem)
@@ -564,5 +564,5 @@
 
 /**
-   \param duration the duration of the TrackElement
+ * @param duration the duration of the TrackElement
    \see void TrackManager::setDuration(float duration, TrackElement* trackElem)
 */
@@ -573,7 +573,7 @@
 
 /**
-   \brief Sets the duration of the current path in seconds.
-   \param duration The duration in seconds.
-   \param trackElem The TrackElement to apply this to.
+ *  Sets the duration of the current path in seconds.
+ * @param duration The duration in seconds.
+ * @param trackElem The TrackElement to apply this to.
 */
 void TrackManager::setDuration(float duration, TrackElement* trackElem)
@@ -587,9 +587,9 @@
 
 /**
-   \brief adds a point to trackElem
-   \param x x coord
-   \param y y coord
-   \param z z coord
-   \param trackElem The TrackElement to add the Point to
+ *  adds a point to trackElem
+ * @param x x coord
+ * @param y y coord
+ * @param z z coord
+ * @param trackElem The TrackElement to add the Point to
 */
 void TrackManager::addPoint(float x, float y, float z)
@@ -599,7 +599,7 @@
 
 /**
-   \brief adds a point to trackElem
-   \param newPoint The point to add.
-   \param trackElem The TrackElement to add the Point to
+ *  adds a point to trackElem
+ * @param newPoint The point to add.
+ * @param trackElem The TrackElement to add the Point to
 */
 void TrackManager::addPointV(Vector newPoint, TrackElement* trackElem)
@@ -618,8 +618,8 @@
 
 /**
-   \brief adds a new Hot Point
-   \param x: the x coordinate of the hotpoint
-   \param y: the y coordinate of the hotpoint
-   \param z: the z coordinate of the hotpoint
+ *  adds a new Hot Point
+ * @param x: the x coordinate of the hotpoint
+ * @param y: the y coordinate of the hotpoint
+ * @param z: the z coordinate of the hotpoint
    \see int TrackManager::addHotPointV(Vector newPoint, TrackElement* trackElem)
 */
@@ -630,8 +630,8 @@
 
 /**
-   \brief adds save/splitpoint.
-   \param newPoint The point to add.
-   \param trackElem if supplied it will add a hotpoint on this TrackElement
-   \returns A Pointer to a newly appended Curve
+ *  adds save/splitpoint.
+ * @param newPoint The point to add.
+ * @param trackElem if supplied it will add a hotpoint on this TrackElement
+ * @returns A Pointer to a newly appended Curve
 */
 int TrackManager::addHotPointV(Vector newPoint, TrackElement* trackElem)
@@ -646,5 +646,5 @@
     }
 
-  // \todo HotPoint Handling.
+  // @todo HotPoint Handling.
   trackElem->curve->addNode(newPoint);
   trackElem->nodeCount++;
@@ -653,5 +653,5 @@
 
 /**
-   \todo this must be better
+   @todo this must be better
 */
 void TrackManager::setSavePointS(const char* nextElementName)
@@ -663,7 +663,7 @@
 
 /**
-   \brief Sets the last HotPoint into a savePoint.
-   \param trackElem The TrackElement to appy this to. (if NULL chose this->currentTrackElement)
-   \returns A Pointer to a newly appended Curve
+ *  Sets the last HotPoint into a savePoint.
+ * @param trackElem The TrackElement to appy this to. (if NULL chose this->currentTrackElement)
+ * @returns A Pointer to a newly appended Curve
 
    If no HotPoint was defined the last added Point will be rendered into a savePoint. \n
@@ -688,6 +688,6 @@
 
 /**
-   \brief adds some interessting non-linear movments through the level.
-   \param count The Count of children the fork will produce
+ *  adds some interessting non-linear movments through the level.
+ * @param count The Count of children the fork will produce
 
    If no HotPoint was defined the last added Point will be rendered into a fork. \n
@@ -709,6 +709,6 @@
 
 /**
-   \param count how many children to produce
-   \param ... the information on the children (these are the Stings of their names
+ * @param count how many children to produce
+ * @param ... the information on the children (these are the Stings of their names
    \see TrackManager::fork(unsigned int count, ...)
 
@@ -747,9 +747,9 @@
 
 /**
-   \brief adds some interessting non-linear movments through the level.
-   \param count The Count of childrens the current HotPoint will have.
-   \param trackIDs A Pointer to an Array of ints which will hold the trackID's (the user will have to reserve space for this).
-   \param trackNames the names for the tracks as a char-arrey-array
-   \param trackElem The TrackElement to appy this to. (if NULL choose this->currentTrackElement)
+ *  adds some interessting non-linear movments through the level.
+ * @param count The Count of childrens the current HotPoint will have.
+ * @param trackIDs A Pointer to an Array of ints which will hold the trackID's (the user will have to reserve space for this).
+ * @param trackNames the names for the tracks as a char-arrey-array
+ * @param trackElem The TrackElement to appy this to. (if NULL choose this->currentTrackElement)
    \see TrackManager::fork(unsigned int count, ...)
 */
@@ -770,8 +770,8 @@
 
 /**
-   \brief decides under what condition a certain Path will be chosen.
-   \param trackID the trackID to apply this to.
-   \param cond the CONDITION of the decision
-   \param subject the Subject that will be decided upon with CONDITION cond.
+ *  decides under what condition a certain Path will be chosen.
+ * @param trackID the trackID to apply this to.
+ * @param cond the CONDITION of the decision
+ * @param subject the Subject that will be decided upon with CONDITION cond.
 */
 void TrackManager::condition(unsigned int trackID, CONDITION cond, void* subject)
@@ -781,8 +781,8 @@
 
 /**
-   \brief decides under what condition a certain Path will be chosen.
-   \param cond the CONDITION of the decision
-   \param subject the Subject that will be decided upon with CONDITION cond.
-   \param trackElem The TrackElement to appy this to. (if NULL chose this->currentTrackElement)
+ *  decides under what condition a certain Path will be chosen.
+ * @param cond the CONDITION of the decision
+ * @param subject the Subject that will be decided upon with CONDITION cond.
+ * @param trackElem The TrackElement to appy this to. (if NULL chose this->currentTrackElement)
 */
 void TrackManager::condition(CONDITION cond, void* subject, TrackElement* trackElem)
@@ -823,6 +823,6 @@
 
 /**
-   \brief joins some tracks together again.
-   \param count The count of Paths to join.
+ *  joins some tracks together again.
+ * @param count The count of Paths to join.
 
    Join will set the localTime to the longest time a Path has to get to this Point. \n
@@ -844,6 +844,6 @@
 
 /**
-   \brief Joins some Tracks together again.
-   \param count The count of trackElements to join
+ *  Joins some Tracks together again.
+ * @param count The count of trackElements to join
    \see void TrackManager::join(unsigned int count, ...)
 
@@ -894,7 +894,7 @@
 
 /**
-   \brief joins some tracks together again.
-   \param count The count of Paths to join.
-   \param trackIDs an Array with the trackID's to join
+ *  joins some tracks together again.
+ * @param count The count of Paths to join.
+ * @param trackIDs an Array with the trackID's to join
 
    \see void TrackManager::join(unsigned int count, ...)
@@ -988,7 +988,7 @@
 
 /**
-   \brief finalizes the TrackSystem. after this it will not be editable anymore
-
-   \todo check for any inconsistencies, output errors
+ *  finalizes the TrackSystem. after this it will not be editable anymore
+
+   @todo check for any inconsistencies, output errors
 */
 void TrackManager::finalize()
@@ -1036,6 +1036,6 @@
 
 /**
-   \brief calculates the Position for the localTime of the Track.
-   \returns the calculated Position
+ *  calculates the Position for the localTime of the Track.
+ * @returns the calculated Position
 */
 Vector TrackManager::calcPos() const
@@ -1045,6 +1045,6 @@
 
 /**
-   \brief calculates the Rotation for the localTime of the Track.
-   \returns the calculated Rotation
+ *  calculates the Rotation for the localTime of the Track.
+ * @returns the calculated Rotation
 */
 Vector TrackManager::calcDir() const
@@ -1054,5 +1054,5 @@
 
 /**
-   \returns the current Width of the track
+ * @returns the current Width of the track
 */
 float TrackManager::getWidth() const
@@ -1062,6 +1062,6 @@
 
 /**
-   \brief Advances the local-time of the Track around dt
-   \param dt The time about which to advance.
+ *  Advances the local-time of the Track around dt
+ * @param dt The time about which to advance.
 
    This function also checks, if the TrackElement has to be changed.
@@ -1104,6 +1104,6 @@
 
 /**
-   \brief Jumps to a certain point on the Track.
-   \param time The time on the Track to jump to.
+ *  Jumps to a certain point on the Track.
+ * @param time The time on the Track to jump to.
 
    This should be used to Jump backwards on a Track, because moving forward means to change between the Path. (it then tries to choose the default.)
@@ -1125,6 +1125,6 @@
 
 /**
-   \brief a Function that decides which Path we should follow.
-   \param trackElem The Path to choose.
+ *  a Function that decides which Path we should follow.
+ * @param trackElem The Path to choose.
 
 */
@@ -1135,6 +1135,6 @@
 
 /**
-   \brief Sets the PNode, that should be moved along the Tack
-   \param bindSlave the PNode to set
+ *  Sets the PNode, that should be moved along the Tack
+ * @param bindSlave the PNode to set
 */
 void TrackManager::setBindSlave(PNode* bindSlave)
@@ -1144,5 +1144,5 @@
 
 /**
-   \returns the main TrackNode
+ * @returns the main TrackNode
 */
 PNode* TrackManager::getTrackNode()
@@ -1154,6 +1154,6 @@
 
 /**
-   \brief Imports a model of the Graph into the OpenGL-environment.
-   \param dt The Iterator used in seconds for Painting the Graph.
+ *  Imports a model of the Graph into the OpenGL-environment.
+ * @param dt The Iterator used in seconds for Painting the Graph.
 
    This is for testing facility only. Do this if you want to see the Path inside the Level.
@@ -1178,6 +1178,6 @@
 
 /**
-   \brief outputs debug information about the trackManager
-   \param level how much debug
+ *  outputs debug information about the trackManager
+ * @param level how much debug
 */
 void TrackManager::debug(unsigned int level) const
Index: orxonox/trunk/src/util/track/track_manager.h
===================================================================
--- orxonox/trunk/src/util/track/track_manager.h	(revision 4834)
+++ orxonox/trunk/src/util/track/track_manager.h	(revision 4836)
@@ -1,5 +1,5 @@
 /*!
     \file track_manager.h
-    \brief manages all tracks defined in the world and the path the player takes
+  *  manages all tracks defined in the world and the path the player takes
 
     it is a container for all tracks and all track-nodes. it manages the movement of
@@ -136,5 +136,5 @@
  public:
   virtual ~TrackManager();
-  /** \returns a Pointer to the only object of this Class */
+  /** @returns a Pointer to the only object of this Class */
   inline static TrackManager* getInstance() { if (!singletonRef) singletonRef = new TrackManager();  return singletonRef; };
 
@@ -145,5 +145,5 @@
   void workOnS(const char* trackName);
 
-  /** \see setCurveType(CurveType curveType, TrackElement* trackElem); \param curveType the type of the Curve */
+  /** \see setCurveType(CurveType curveType, TrackElement* trackElem); @param curveType the type of the Curve */
   inline void setCurveType(CurveType curveType) { this->setCurveType (curveType, this->currentTrackElem);};
   void setCurveType(CurveType curveType, TrackElement* trackElem);
Index: orxonox/trunk/src/util/track/track_node.cc
===================================================================
--- orxonox/trunk/src/util/track/track_node.cc	(revision 4834)
+++ orxonox/trunk/src/util/track/track_node.cc	(revision 4836)
@@ -26,5 +26,5 @@
 
 /**
-   \brief standard constructor
+ *  standard constructor
 */
 TrackNode::TrackNode ()
@@ -39,5 +39,5 @@
 
 /**
-   \brief standard deconstructor
+ *  standard deconstructor
 */
 TrackNode::~TrackNode ()
Index: orxonox/trunk/src/util/track/track_node.h
===================================================================
--- orxonox/trunk/src/util/track/track_node.h	(revision 4834)
+++ orxonox/trunk/src/util/track/track_node.h	(revision 4836)
@@ -1,5 +1,5 @@
 /*! 
     \file track_node.h
-    \brief Definition of the TrackNode are located here
+  *  Definition of the TrackNode are located here
     
     the TrackNode is the node, that follows the Track (and the TrackManager) 
